#include <iostream>

using namespace std;

int main()
{
	int n;
	int k;
	int pozicija;
	int karte[20001];

	cin >> n;
	cin >> k;

	for (int i = 0; i < n; i++)
	{
		cin >> karte[i];
	}

	for (int i = 0; i < n; i++)
	{
		if (karte[i] == k)
		{
			pozicija = i;
			break;
		}
		else continue;
	}

	if (pozicija == n - 1)
	{
		cout << karte[0];
	}
	else
	{
		cout << karte[pozicija + 1];
	}

	return 0;
}